node{
    stage('SCM Checkout'){
        git 'https://gitlab.com/rahul.rana.1009/javaselenium'
    }

    stage('Build') {
        parallel(
            set1:{
                bat 'mvn clean test -Dgroups=SET_1 -Dbrowser=chrome -Dsurefire.suiteXmlFiles=src\\main\\resources\\suites\\sanity.xml'
            },
            set2:{
                sleep 20
                bat 'mvn clean test -Dgroups=SET_2 -Dbrowser=chrome -Dsurefire.suiteXmlFiles=src\\main\\resources\\suites\\sanity.xml'
                
            },
            set3:{
                sleep 40
                bat 'mvn clean test -Dgroups=SET_3 -Dbrowser=chrome -Dsurefire.suiteXmlFiles=src\\main\\resources\\suites\\sanity.xml'
            }
        )
    }
}